﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.IO;
using DTG.Spreadsheet;



public partial class Default : System.Web.UI.Page
{
    // Data source
    static public DataTable table= new DataTable();


    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            table.Columns.Clear();
            table.Rows.Clear();

            table.Columns.Add("N");
            table.Columns.Add("First Name");
            table.Columns.Add("Last Name");
            table.Columns.Add("Sex");
            table.Columns.Add("Birth Date");
            table.Columns.Add("Occupation");
            table.Rows.Add(new object[] { "1", "Rodney", "Johnson", "M", "06.07.1964", "Adult literacy teacher" });
            table.Rows.Add(new object[] { "2", "Connie", "King", "F", "07.19.1989", "Occupational health and safety technician" });
            table.Rows.Add(new object[] { "3", "Steven", "Gray", "M", "12.24.1977", "Telephone repairer" });
            table.Rows.Add(new object[] { "4", "Cynthia", "Manigault", "F", "03.19.1969", "Employee assistance plan manager" });
            table.Rows.Add(new object[] { "5", "Gracie", "Salas", "F", "07.26.1967", "Heavy vehicle service technician" });

            GridView1.DataSource = table;
            GridView1.DataBind();
        }
    }


    protected void Button1_Click1(object sender, EventArgs e)
    {
        // Add new Record to DataTable 
        int num = table.Rows.Count + 1;
        table.Rows.Add(new object[] { num.ToString(), TextBox1.Text, TextBox2.Text, TextBox4.Text, TextBox3.Text, TextBox5.Text });

        // Show data on the Form
        GridView1.DataSource = table;
        GridView1.DataBind();
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        // Delete the lats Record
        int num = table.Rows.Count - 1;
        if (num  >= 0 ) table.Rows.RemoveAt(num);

        // Show data on the Form
        GridView1.DataSource = table;
        GridView1.DataBind();
    }

    protected void Button3_Click(object sender, EventArgs e)
    {
        // 1 method: Export DataTable to Excel
        ExcelWorkbook Wbook = new ExcelWorkbook();
        ExcelWorksheet Wsheet = Wbook.Worksheets.Add("Employees");
        Wsheet.ReadFromDataTable(table);

        // 2 method: Export GridView to Excel directly
        // (uncomment to try this method)

        int rows = GridView1.Rows.Count;
        int cols = GridView1.Columns.Count;
        for (int r = 0; r < rows; r++)
        {
            for (int c = 0; c < cols; c++)
            {
                string val = GridView1.Rows[r].Cells[c].Text;
                Wsheet.Cells[r, c].Value = val;
            }
        }

        // Select the Excel file type for export
        switch (RadioButtonList1.SelectedValue.ToUpper())
        {
            case "XLS":
                {
                    Response.AppendHeader("Content-Type", "application/vnd.ms-excel");
                    Response.AppendHeader("Content-Disposition", String.Format("attachment; filename={0}", "report.xls"));
                    Response.BinaryWrite(Wbook.WriteXLS().ToArray());
                    Response.Flush();
                    Response.End();
                    break;
                }
            case "XLSX":
                {
                    Response.AppendHeader("Content-Type", "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
                    Response.AppendHeader("Content-Disposition", String.Format("attachment; filename={0}", "report.xlsx"));
                    Response.BinaryWrite(Wbook.WriteXLSX().ToArray());
                    Response.Flush(); Response.End();
                    break;
                }
            case "CSV":
                {
                    Response.AppendHeader("Content-Type", "text/comma-separated-values");
                    Response.AppendHeader("Content-Disposition", String.Format("attachment; filename={0}", "report.csv"));
                    Response.BinaryWrite(Wbook.WriteCSV().ToArray());
                    Response.Flush(); Response.End();
                    break;
                }
        }
    }
}