﻿using System;
using System.Collections.Generic;
using System.Text;
using DTG.Spreadsheet;

namespace TextAlign
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new workbook.
            ExcelWorkbook Wbook = new ExcelWorkbook();

            //Add new worksheet to workbook.
            Wbook.Worksheets.Add("Sheet1");

            //Sets columns width.
            Wbook.Worksheets[0].Columns[0].Width = 270;
            Wbook.Worksheets[0].Columns[1].Width = 15;
            Wbook.Worksheets[0].Columns[2].Width = 85;
            for (short i = 3; i < 40; i += 2)
                Wbook.Worksheets[0].Rows[i].Height = 10;

            
            Wbook.Worksheets[0].Cells[0, 0].Value = "Demo of cell value of formats:";
            Wbook.Worksheets[0].Cells[2, 0].Value = "Value";
            Wbook.Worksheets[0].Cells[2, 2].Value = "Result";

            Wbook.Worksheets[0].Cells[4, 0].Value = "Integer value, general format.";
            Wbook.Worksheets[0].Cells[4, 2].Value = 345;
            Wbook.Worksheets[0].Cells[4, 2].Style.StringFormat = "";

            Wbook.Worksheets[0].Cells[6, 0].Value = "Integer value, financial format.";
            Wbook.Worksheets[0].Cells[6, 2].Value = 345;
            Wbook.Worksheets[0].Cells[6, 2].Style.StringFormat = "# ##0.00 $";

            Wbook.Worksheets[0].Cells[8, 0].Value = "Integer value, numerical format.";
            Wbook.Worksheets[0].Cells[8, 2].Value = 345;
            Wbook.Worksheets[0].Cells[8, 2].Style.StringFormat = "0.00";

            Wbook.Worksheets[0].Cells[10, 0].Value = "Integer value, percentage format(0.00%).";
            Wbook.Worksheets[0].Cells[10, 2].Value = 345;
            Wbook.Worksheets[0].Cells[10, 2].Style.StringFormat = "0.00%";

            Wbook.Worksheets[0].Cells[12, 0].Value = "Integer value, exponential format(0.00E+00).";
            Wbook.Worksheets[0].Cells[12, 2].Value = 345;
            Wbook.Worksheets[0].Cells[12, 2].Style.StringFormat = "0.00E+00";

            Wbook.Worksheets[0].Cells[14, 0].Value = "Double value, general format.";
            Wbook.Worksheets[0].Cells[14, 2].Value = 12345.6789;

            Wbook.Worksheets[0].Cells[16, 0].Value = "Double value, fractional format(# ?/2).";
            Wbook.Worksheets[0].Cells[16, 2].Value = 12345.6789;
            Wbook.Worksheets[0].Cells[16, 2].Style.StringFormat = "# ?/2";

            Wbook.Worksheets[0].Cells[18, 0].Value = "Double value, date format(MM-DD-YYYY).";
            Wbook.Worksheets[0].Cells[18, 2].Value = 12345.6789;
            Wbook.Worksheets[0].Cells[18, 2].Style.StringFormat = "MM-DD-YYYY";

            Wbook.Worksheets[0].Cells[20, 0].Value = "Double value, time format(hh:mm).";
            Wbook.Worksheets[0].Cells[20, 2].Value = 98765.4321;
            Wbook.Worksheets[0].Cells[20, 2].Style.StringFormat = "hh:mm";

            //Using predefined formats
            Wbook.Worksheets[0].Cells[22, 0].Value = "Predefined format, percentage value:";
            Wbook.Worksheets[0].Cells[22, 2].Value = 0.06;
            Wbook.Worksheets[0].Cells[22, 2].Style.StringFormat = DefinedFormats.Percentage;

            Wbook.Worksheets[0].Cells[24, 0].Value = "Double value, time format(hh:mm).";
            Wbook.Worksheets[0].Cells[24, 2].Value = DateTime.Now.TimeOfDay;
            Wbook.Worksheets[0].Cells[24, 2].Style.StringFormat = DefinedFormats.Time_AMPM_One;

            //Write .xls file.
            Wbook.WriteXLS(@"..\..\..\NumberStyle1.xls");

            //Write .xlsx file.
            Wbook.WriteXLSX(@"..\..\..\NumberStyle.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\NumberStyle.xlsx");
        }
    }
}
